Skip to main content
POST
Duplicate Slotting Rule Set

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the source Warehouse.

rule_set_id
integer<int32>
required

The id of the source SlottingRuleSet.

Query Parameters

fields
enum<string>[]

Specify fields of the SlottingRuleSet object to include in the response.

Available options:
all,
name,
description,
is_active,
rule_count,
has_conflicts,
conflicting_rule_count,
created_at,
updated_at

Body

application/json

Target Warehouse for a duplicated Slotting Rule Set.

warehouse_id
integer<int32>
required

ID of the Warehouse that will own the inactive copy.

Required range: x >= 1
Example:

2

Response

The inactive Slotting Rule Set copy was created.

resource
SlottingRuleSet · object
required

Warehouse-scoped collection of Slotting Rules that can be activated or deactivated as one unit.

Example:
included
object
required

Always empty because Rule Sets have no expandable relationships.

meta
object
required

Additional metadata pertaining to the response.